=== src/amzn-drivers-2.8.0/efa/debian/changelog ===
efa (1.16.0-1.amzn1) unstable; urgency=medium
  * Add CQ notifications
  * Add support for dmabuf
  * Add NeuronLink RDMA support
  * Remove gdr from module info keys

 -- Firas Jahjah <firasj@amazon.com>  Mon, 24 Jan 2022 16:03:29 +0000

efa (1.14.2-1.amzn1) unstable; urgency=medium
  * Various GDR fixes

 -- Firas Jahjah <firasj@amazon.com>  Sun, 17 Oct 2021 22:16:33 +0000

efa (1.14.1-1.amzn1) unstable; urgency=medium
  * Make gdr sysfs return zero in case nvidia symbols are not available

 -- Firas Jahjah <firasj@amazon.com>  Thu, 23 Sep 2021 15:27:31 +0000

efa (1.14.0-1.amzn1) unstable; urgency=medium
  * Unify the standard and GDR packages
  * Split hardware stats to device and port stats
  * Fix unfree'd IRQ vectors on error flow
  * Fix potential deadlock in GDR flow

 -- Gal Pressman <galpress@amazon.com>  Tue, 14 Sep 2021 09:49:22 +0000

efa (1.13.0-1.amzn1) unstable; urgency=medium
  * Remove static dependency of nvidia module in GDR driver
  * Fix potential memory leak in GDR memory registration error flow
  * Upstream kernel alignments
  * Remove old kernel APIs

 -- Gal Pressman <galpress@amazon.com>  Tue, 06 Jul 2021 14:31:39 +0000

efa (1.12.3-1.amzn1) unstable; urgency=medium
  * Fix potential NULL pointer dereference when using GDR on newer kernel version

 -- Gal Pressman <galpress@amazon.com>  Sun, 27 Jun 2021 11:03:33 +0000

efa (1.12.2-1.amzn1) unstable; urgency=medium
  * Fix mmap flow for applications compiled with EXEC permissions
  * Couple of packaging fixes

 -- Gal Pressman <galpress@amazon.com>  Wed, 16 Jun 2021 14:10:22 +0000

efa (1.12.1-1.amzn1) unstable; urgency=medium
  * Limit number of CMake processes to prevent exhaustion of system resources

 -- Gal Pressman <galpress@amazon.com>  Mon, 10 May 2021 11:09:31 +0000

efa (1.12.0-1.amzn1) unstable; urgency=medium
  * Add COPYING file
  * Switch to CMake build system
  * Align to upstream kernel

 -- Gal Pressman <galpress@amazon.com>  Mon, 29 Mar 2021 14:43:40 +0000

efa (1.11.1-1.amzn1) unstable; urgency=medium
  * Fix GDR driver packaging issues

 -- Gal Pressman <galpress@amazon.com>  Thu, 28 Jan 2021 09:59:26 +0000

efa (1.11.0-1.amzn1) unstable; urgency=medium
  * Fix wrong modify QP parameters
  * Align to upstream kernel changes

 -- Gal Pressman <galpress@amazon.com>  Sun, 06 Dec 2020 10:37:53 +0000

efa (1.10.2-1.amzn1) unstable; urgency=medium
  * Fix possible use of uninitialized variable in GDR error flow

 -- Gal Pressman <galpress@amazon.com>  Sun, 11 Oct 2020 16:38:54 +0000

efa (1.10.1-1.amzn1) unstable; urgency=medium
  * Misc fixes to GDR package installation
  * Expose messages and RDMA read statistics
  * Fix an error when registering MR on older kernels

 -- Gal Pressman <galpress@amazon.com>  Wed, 30 Sep 2020 14:42:44 +0000

efa (1.10.0-1.amzn1) unstable; urgency=medium
  * SRD RNR retry support
  * Remove a wrong warning triggered by GDR cleanup
  * Fix GDR driver compilation on Ubuntu 16.04
  * Add GDR driver packaging (rpm/deb)

 -- Gal Pressman <galpress@amazon.com>  Wed, 09 Sep 2020 17:52:09 +0000

efa (1.9.0-1.amzn1) unstable; urgency=medium
  * Adapt to upstream kernel
  * Refactor locking scheme in GDR flows
  * Report create CQ error counter
  * Report mmap error counter
  * Report admin commands error counter
  * Add a sysfs indication to GDR drivers
  * Add 0xefa1 device support

 -- Gal Pressman <galpress@amazon.com>  Mon, 03 Aug 2020 14:00:03 +0000

efa (1.6.0-1.amzn1) unstable; urgency=medium
  * Add NVIDIA GPUDirect RDMA support
  * Add a configure script to the compilation process and use it to test for
    kernel functionality
  * Change directory structure, the source files are now located under src/
  * Fix compilation on certain kernels of SuSE15.1
  * Backport changes from upstream kernel

 -- Gal Pressman <galpress@amazon.com>  Wed, 26 Feb 2020 14:54:52 +0000

efa (1.5.1-1.amzn1) unstable; urgency=medium
  * Fix SuSE ioctl flow backport

 -- Gal Pressman <galpress@amazon.com>  Thu, 02 Jan 2020 16:21:54 +0000

efa (1.5.0-1.amzn1) unstable; urgency=medium
  * RDMA read support
  * Make ib_uverbs a soft dependency
  * Fix ioctl flows on older kernels
  * SuSE 15.1 support

 -- Gal Pressman <galpress@amazon.com>  Wed, 11 Dec 2019 13:18:56 +0000

efa (1.4.1-1.amzn1) unstable; urgency=medium
  * Fix Incorrect error print
  * Add support for CentOS 7.7

 -- Gal Pressman <galpress@amazon.com>  Fri, 20 Sep 2019 18:57:58 +0000

efa (1.4.0-1.amzn1) unstable; urgency=medium

  * Expose device statistics
  * Rate limit admin queue error prints
  * Properly assign err variable on everbs device creation failure

 -- Gal Pressman <galpress@amazon.com>  Thu, 5 Sep 2019 16:31:33 +0000

efa (1.3.1-1.amzn1) unstable; urgency=medium

  * Fix build issue in debian/rules file
  * Fix kcompat issue (usage before include)

 -- Gal Pressman <galpress@amazon.com>  Thu, 8 Aug 2019 11:19:27 +0000

efa (1.3.0-1.amzn1) unstable; urgency=medium

  * Align to the driver that was merged upstream
  * Fix a bug where failed functions would return success return value
  * Fix modify QP udata check backport
  * Fix locking issues in mmap flow
  * Add Debian packaging files

 -- Gal Pressman <galpress@amazon.com>  Sun, 7 Jul 2019 15:05:27 +0000

efa (0.9.2-1.amzn1) unstable; urgency=medium

  * Initial release of EFA kernel driver Debian package

 -- Jie Zhang <zhngaj@amazon.com>  Wed, 22 May 2019 23:03:27 +0000
