=== src/amzn-drivers-2.8.0/efa/debian/control ===
Source: efa
Maintainer: ec2-efa-maintainers <ec2-efa-maintainers@amazon.com>
Build-Depends: debhelper
Standards-Version: 4.3.0
Homepage: https://github.com/amzn/amzn-drivers

Package: efa
Architecture: any
# Replace the compile time dependency efa-gdr package
Provides: efa-gdr
Conflicts: efa-gdr
Replaces: efa-gdr
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms, cmake
Description: Linux kernel driver for Elastic Fabric Adapter (EFA)
 Elastic Fabric Adapter (EFA), a new network device that provides reliable
 userspace communication and kernel bypass capabilities, targeting more
 consistent latency and higher throughput.
